Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3158 - Several perl binary packages not working
Summary: Several perl binary packages not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-30 17:44 UTC by ron
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 01:59:44 UTC


Attachments (Terms of Use)

Description ron 1999-05-30 17:44:37 UTC
After installing RedHat 6.0 along with perl-5.00503-2,
several binary perl packages are not working.
In particular the DBI package - DBI-1.06-1 is having
problems.  When executing a script which uses this package I
get :
---------------------------------
Can't load
'/usr/lib/perl5/site_perl//i386-linux/auto/DBI/DBI.so' for
module DBI:
/usr/lib/perl5/site_perl//i386-linux/auto/DBI/DBI.so:
undefined symbol: dirty at
/usr/lib/perl5/5.00503/i386-linux/DynaLoader.pm line 169.

 at /usr/lib/perl5/site_perl//DBI.pm line 168
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl//DBI.pm line 168.
BEGIN failed--compilation aborted at ./dbTest line 3.

I have also had similar problems with the ePerl and embperl
packages.
I haven't tried installing from a source package yet.

Comment 1 shinta 1999-06-17 11:00:59 UTC
And 'pod2text' is not included.
please modify .spec file.

Comment 2 Cristian Gafton 1999-07-29 01:59:59 UTC
I would expect that a recompilation of the perl modules that are
causing these problems will fix things.

Please re-open if this is not the case.

As for the incomplete version of the .spec file, there is a new
version available in rawhide that should fix the spec file problem
(perl-5.00503-4 or later)


Note You need to log in before you can comment on or make changes to this bug.